Skip to content

List products

GET
/api/v1/tenants/{tenant_id}/workspaces/{workspace_id}/products

List all products with pagination and filtering.

page
Page
integer
default: 1 >= 1
page_size
Page Size
integer
default: 20 >= 1 <= 100
search
Any of:
string

Search by name, SKU, or description

item_type
Any of:
string

Filter by item type (good, service)

is_active
Any of:
boolean
sort_by
Any of:
string
sort_order
Any of:
string
/^(asc|desc)$/
X-Workspace-ID
Any of:
string
X-API-Key
Any of:
string
X-Tenant-ID
Any of:
string

Successful Response

Examples

200 response example

{
"status": "ok",
"message": "Request completed successfully."
}

Validation Error

HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examples

422 response example

{
"detail": [
{
"loc": [],
"msg": "string",
"type": "string"
}
]
}